Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.avtransport.dto
Enum AVTransportState

    java.lang.Object
      java.lang.Enum<AVTransportState>
          org.teleal.cling.support.avtransport.dto.AVTransportState

All Implemented Interfaces:
  Serializable, Comparable<AVTransportState>

    public enum AVTransportState

extends Enum<AVTransportState>

Enum Constant Summary
`NO_MEDIA_PRESENT`
`PAUSED_PLAYBACK`
`PAUSED_RECORDING`
`PLAYING`
`RECORDING`
`STOPPED`
`TRANSITIONING`

Field Summary
`static String` | `ACTION_NEXT`
`static String` | `ACTION_PAUSE`
`static String` | `ACTION_PLAY`
`static String` | `ACTION_PREVIOUS`
`static String` | `ACTION_RECORD`
`static String` | `ACTION_SEEK`
`static String` | `ACTION_STOP`

Method Summary
`static AVTransportState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AVTransportState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STOPPED

    public static final AVTransportState STOPPED

### PLAYING

    public static final AVTransportState PLAYING

### TRANSITIONING

    public static final AVTransportState TRANSITIONING

### PAUSED_PLAYBACK

    public static final AVTransportState PAUSED_PLAYBACK

### PAUSED_RECORDING

    public static final AVTransportState PAUSED_RECORDING

### RECORDING

    public static final AVTransportState RECORDING

### NO_MEDIA_PRESENT

    public static final AVTransportState NO_MEDIA_PRESENT

Field Detail

### ACTION_PLAY

    public static final String ACTION_PLAY

See Also:
  Constant Field Values

### ACTION_STOP

    public static final String ACTION_STOP

See Also:
  Constant Field Values

### ACTION_PAUSE

    public static final String ACTION_PAUSE

See Also:
  Constant Field Values

### ACTION_SEEK

    public static final String ACTION_SEEK

See Also:
  Constant Field Values

### ACTION_NEXT

    public static final String ACTION_NEXT

See Also:
  Constant Field Values

### ACTION_PREVIOUS

    public static final String ACTION_PREVIOUS

See Also:
  Constant Field Values

### ACTION_RECORD

    public static final String ACTION_RECORD

See Also:
  Constant Field Values

Method Detail

### values

    public static AVTransportState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AVTransportState c : AVTransportState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AVTransportState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.